%define _altdata_dir %_datadir/alterator

Name: alterator-samba
Version: 0.6
Release: alt2
Packager: Grigory Batalov <bga@altlinux.ru>

Summary: alterator module for samba conf file editing
License: GPL
Group: System/Configuration/Other
Url: http://wiki.sisyphus.ru/Alterator

Source: %name-%version.tar

BuildArch: noarch

Requires: alterator >= 4.0-alt16 alterator-sh-functions >= 0.7-alt1 samba
Requires: alterator-services
Conflicts: alterator-fbi < 5.1-alt5

BuildPreReq: alterator >= 4.0-alt16, alterator-fbi >= 5.1-alt5, alterator-l10n >= 0.9-alt12
Requires: smbldap-tools

# Automatically added by buildreq on Mon Jul 11 2005 (-bi)
BuildRequires: alterator

%description
Samba configuration alterator module

%prep
%setup -q

%build
%make_build

%install
%makeinstall

%files
%_altdata_dir/interfaces/*/*/*
%_altdata_dir/applications/*
%_altdata_dir/templates/*
%_alterator_backend3dir/*

%changelog
* Fri Jan 23 2009 Vladislav Zavjalov <slazav@altlinux.org> 0.6-alt2
- move translations and help to alterator-l10n

* Fri Jan 23 2009 Vladislav Zavjalov <slazav@altlinux.org> 0.6-alt1
- LDAP support (by manowar@, cherry-picked from 4.1)

* Fri Dec 05 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.5-alt3
- rebuild with new l10n

* Mon Nov 24 2008 Stanislav Ievlev <inger@altlinux.org> 0.5-alt2
- rebuild with new l10n (english help)

* Fri Oct 03 2008 Stanislav Ievlev <inger@altlinux.org> 0.5-alt1
- redesign UI and backend
- join to common translation database

* Tue Aug 12 2008 Stanislav Ievlev <inger@altlinux.org> 0.4-alt1
- update html templates:
   * replace template-* backend with modern schema
   * remove <h1> and <title>
   * move design to /usr/share/alterator/design
   * remove orphaned links to alterator-chkconfig
- improve samba backend:
   * remove share name from url for /samba/shares template
- update build system:
   * use global support for awk based backends
   * use module.awk

* Tue Jun 17 2008 Grigory Batalov <bga@altlinux.ru> 0.3-alt2
- Require alterator-services instead of alterator-chkconfig.

* Fri Jun 06 2008 Grigory Batalov <bga@altlinux.ru> 0.3-alt1
- Rebuild for Sisyphus.

* Wed May 28 2008 Grigory Batalov <bga@altlinux.ru> 0.3-alt0.M41.1
- Sort available global parameters.
- Service restart link update.
- Russian translation update.

* Wed May 28 2008 Grigory Batalov <bga@altlinux.ru> 0.2-alt0.M41.1
- Change help paths to the new style (slazav@).

* Tue Apr 08 2008 Grigory Batalov <bga@altlinux.ru> 0.2-alt0.M40.1
- Separate workgroup and server string from other parameters.
- Allow to rename a share.
- Rename share description to "Share name" to avoid confusion with it's path.
- Fix share name constraint: allow letters and digits only.

* Fri Feb 15 2008 Grigory Batalov <bga@altlinux.ru> 0.1-alt4
- Clearify field restrictions.

* Thu Dec 13 2007 Grigory Batalov <bga@altlinux.ru> 0.1-alt3
- Use dash in "Samba server" translation.
- Russian help page.

* Mon Aug 06 2007 Grigory Batalov <bga@altlinux.ru> 0.1-alt2
- Switch to new menu system.

* Thu Jun 28 2007 Grigory Batalov <bga@altlinux.ru> 0.1-alt1
- Specfile cleanup.
- Backend rewritten in Awk.

* Sun Apr 1 2007 Bogomolov Alex <lekseich@altlinux> 0.0-alt0
- Initial release
